Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a new shareable link

Creates a new shareable link that allows sharing of DAM resources (folders, images, videos, files) with optional description and expiration date Deprecated: use POST /api/v2/{team_slug}/{app_slug}/dam/shareable-links instead.

POST/api/v1/{team_slug}/{app_slug}/dam/shareable-linksdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Shareable link details

descriptionstring
expires_atstring
Responses
201

Shareable link created successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ShareableLinkrequired
Show properties
created_atstring
descriptionstring
expires_atstring
file_idsstring[] | null
folder_idsstring[] | null
idstring
image_idsstring[] | null
tokenstring
updated_atstring
video_idsstring[] | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
403

Forbidden

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/dam/shareable-links' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "string",
  "expires_at": "string"
}'
Response
{
  "data": {
    "created_at": "string",
    "description": "string",
    "expires_at": "string",
    "file_ids": [
      "string"
    ],
    "folder_ids": [
      "string"
    ],
    "id": "string",
    "image_ids": [
      "string"
    ],
    "token": "string",
    "updated_at": "string",
    "video_ids": [
      "string"
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}